Package com.google.debugging.sourcemap.proto

# Class Mapping.OriginalMapping.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<Mapping.OriginalMapping.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>
com.google.debugging.sourcemap.proto.Mapping.OriginalMapping.Builder

All Implemented Interfaces:
  `Mapping.OriginalMappingOrBuilder`, `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`

Enclosing class:
  `Mapping.OriginalMapping`

public static final class Mapping.OriginalMapping.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder> implements Mapping.OriginalMappingOrBuilder
Protobuf type `sourcemap.OriginalMapping`

## Method Summary

Modifier and Type
Method
Description
`Mapping.OriginalMapping.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Mapping.OriginalMapping`
`build()`
`Mapping.OriginalMapping`
`buildPartial()`
`Mapping.OriginalMapping.Builder`
`clear()`
`Mapping.OriginalMapping.Builder`
`clearColumnPosition()`
The column number on the line.
`Mapping.OriginalMapping.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Mapping.OriginalMapping.Builder`
`clearIdentifier()`
The original name of the identifier.
`Mapping.OriginalMapping.Builder`
`clearLineNumber()`
The line in the original file.
`Mapping.OriginalMapping.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Mapping.OriginalMapping.Builder`
`clearOriginalFile()`
The original source file.
`Mapping.OriginalMapping.Builder`
`clone()`
`int`
`getColumnPosition()`
The column number on the line.
`Mapping.OriginalMapping`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getIdentifier()`
The original name of the identifier.
`com.google.protobuf.ByteString`
`getIdentifierBytes()`
The original name of the identifier.
`int`
`getLineNumber()`
The line in the original file.
`String`
`getOriginalFile()`
The original source file.
`com.google.protobuf.ByteString`
`getOriginalFileBytes()`
The original source file.
`boolean`
`hasColumnPosition()`
The column number on the line.
`boolean`
`hasIdentifier()`
The original name of the identifier.
`boolean`
`hasLineNumber()`
The line in the original file.
`boolean`
`hasOriginalFile()`
The original source file.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`Mapping.OriginalMapping.Builder`
`mergeFrom(Mapping.OriginalMapping other)`
`Mapping.OriginalMapping.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Mapping.OriginalMapping.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`final Mapping.OriginalMapping.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Mapping.OriginalMapping.Builder`
`setColumnPosition(int value)`
The column number on the line.
`Mapping.OriginalMapping.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Mapping.OriginalMapping.Builder`
`setIdentifier(String value)`
The original name of the identifier.
`Mapping.OriginalMapping.Builder`
`setIdentifierBytes(com.google.protobuf.ByteString value)`
The original name of the identifier.
`Mapping.OriginalMapping.Builder`
`setLineNumber(int value)`
The line in the original file.
`Mapping.OriginalMapping.Builder`
`setOriginalFile(String value)`
The original source file.
`Mapping.OriginalMapping.Builder`
`setOriginalFileBytes(com.google.protobuf.ByteString value)`
The original source file.
`Mapping.OriginalMapping.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final Mapping.OriginalMapping.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### clear

public Mapping.OriginalMapping.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### getDefaultInstanceForType

public Mapping.OriginalMapping getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public Mapping.OriginalMapping build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public Mapping.OriginalMapping buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public Mapping.OriginalMapping.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### setField

public Mapping.OriginalMapping.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### clearField

public Mapping.OriginalMapping.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### clearOneof

public Mapping.OriginalMapping.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### setRepeatedField

public Mapping.OriginalMapping.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### addRepeatedField

public Mapping.OriginalMapping.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### mergeFrom

public Mapping.OriginalMapping.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Mapping.OriginalMapping.Builder>`

### mergeFrom

public Mapping.OriginalMapping.Builder mergeFrom(Mapping.OriginalMapping other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### mergeFrom

public Mapping.OriginalMapping.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Mapping.OriginalMapping.Builder>`
Throws:
  `IOException`

### hasOriginalFile

public boolean hasOriginalFile()

     The original source file.

`optional string original_file = 1;`

Specified by:
  `hasOriginalFile` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  Whether the originalFile field is set.

### getOriginalFile

public String getOriginalFile()

     The original source file.

`optional string original_file = 1;`

Specified by:
  `getOriginalFile` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The originalFile.

### getOriginalFileBytes

public com.google.protobuf.ByteString getOriginalFileBytes()

     The original source file.

`optional string original_file = 1;`

Specified by:
  `getOriginalFileBytes` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The bytes for originalFile.

### setOriginalFile

public Mapping.OriginalMapping.Builder setOriginalFile(String value)

     The original source file.

`optional string original_file = 1;`

Parameters:
  `value` - The originalFile to set.
Returns:
  This builder for chaining.

### clearOriginalFile

public Mapping.OriginalMapping.Builder clearOriginalFile()

     The original source file.

`optional string original_file = 1;`

Returns:
  This builder for chaining.

### setOriginalFileBytes

public Mapping.OriginalMapping.Builder setOriginalFileBytes(com.google.protobuf.ByteString value)

     The original source file.

`optional string original_file = 1;`

Parameters:
  `value` - The bytes for originalFile to set.
Returns:
  This builder for chaining.

### hasLineNumber

public boolean hasLineNumber()

     The line in the original file.

`optional int32 line_number = 2;`

Specified by:
  `hasLineNumber` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  Whether the lineNumber field is set.

### getLineNumber

public int getLineNumber()

     The line in the original file.

`optional int32 line_number = 2;`

Specified by:
  `getLineNumber` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The lineNumber.

### setLineNumber

public Mapping.OriginalMapping.Builder setLineNumber(int value)

     The line in the original file.

`optional int32 line_number = 2;`

Parameters:
  `value` - The lineNumber to set.
Returns:
  This builder for chaining.

### clearLineNumber

public Mapping.OriginalMapping.Builder clearLineNumber()

     The line in the original file.

`optional int32 line_number = 2;`

Returns:
  This builder for chaining.

### hasColumnPosition

public boolean hasColumnPosition()

     The column number on the line.

`optional int32 column_position = 3;`

Specified by:
  `hasColumnPosition` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  Whether the columnPosition field is set.

### getColumnPosition

public int getColumnPosition()

     The column number on the line.

`optional int32 column_position = 3;`

Specified by:
  `getColumnPosition` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The columnPosition.

### setColumnPosition

public Mapping.OriginalMapping.Builder setColumnPosition(int value)

     The column number on the line.

`optional int32 column_position = 3;`

Parameters:
  `value` - The columnPosition to set.
Returns:
  This builder for chaining.

### clearColumnPosition

public Mapping.OriginalMapping.Builder clearColumnPosition()

     The column number on the line.

`optional int32 column_position = 3;`

Returns:
  This builder for chaining.

### hasIdentifier

public boolean hasIdentifier()

     The original name of the identifier.

`optional string identifier = 4;`

Specified by:
  `hasIdentifier` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  Whether the identifier field is set.

### getIdentifier

public String getIdentifier()

     The original name of the identifier.

`optional string identifier = 4;`

Specified by:
  `getIdentifier` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The identifier.

### getIdentifierBytes

public com.google.protobuf.ByteString getIdentifierBytes()

     The original name of the identifier.

`optional string identifier = 4;`

Specified by:
  `getIdentifierBytes` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The bytes for identifier.

### setIdentifier

public Mapping.OriginalMapping.Builder setIdentifier(String value)

     The original name of the identifier.

`optional string identifier = 4;`

Parameters:
  `value` - The identifier to set.
Returns:
  This builder for chaining.

### clearIdentifier

public Mapping.OriginalMapping.Builder clearIdentifier()

     The original name of the identifier.

`optional string identifier = 4;`

Returns:
  This builder for chaining.

### setIdentifierBytes

public Mapping.OriginalMapping.Builder setIdentifierBytes(com.google.protobuf.ByteString value)

     The original name of the identifier.

`optional string identifier = 4;`

Parameters:
  `value` - The bytes for identifier to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final Mapping.OriginalMapping.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`

### mergeUnknownFields

public final Mapping.OriginalMapping.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.OriginalMapping.Builder>`